#
#        1         2         3         4         5         6         7         8
# 345678901234567890123456789012345678901234567890123456789012345678901234567890
#
rootName: StoneSampleCommands

# +---------------------------------+
# | Messages from TypeScript to C++ |
# +---------------------------------+

enum Tool:
  - LineMeasure
  - CircleMeasure
  - Crop
  - Windowing
  - Zoom
  - Pan
  - Move
  - Rotate
  - Resize
  - Mask

struct SelectTool:
  __handler: cpp
  tool: Tool

enum ActionType:
  - UndoCrop
  - Rotate
  - Invert

struct Action:
  __handler: cpp
  type: ActionType

